# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
%define ver_major 1.0

Name: nautilus-sendto
Version: %ver_major.1
Release: alt0.M41.1

Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Summary: Nautilus Sendto menu item.
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org
Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2
Patch1: %name-alt-fix-balsa.patch

BuildPreReq: rpm-build-gnome

# From configure.in
%define glib_ver 2.6.0
%define gtk_ver 2.4.0
%define libglade_ver 2.5.1
%define evo_data_ver 1.5.3
%define GConf_ver 2.13.0
%define pidgin_ver 2.0.0
%define nautilus_ver 2.13.3
%define dbus_ver 1.0
%define dbus_glib_ver 0.60

BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libglade-devel >= %libglade_ver
BuildPreReq: evolution-data-server-devel >= %evo_data_ver
BuildPreReq: libGConf2-devel >= %GConf_ver
BuildPreReq: pidgin-devel >= %pidgin_ver
BuildPreReq: libpurple-devel >= %pidgin_ver
BuildPreReq: libnautilus-devel >= %nautilus_ver
BuildPreReq: libdbus-glib-devel >= %dbus_glib_ver
BuildPreReq: libdbus-devel >= %dbus_ver

BuildRequires: gajim gcc-c++ perl-XML-Parser

BuildRequires: rpm-build-compat >= 0.95

%description
This application provides integration between nautilus and other.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the email or IM account which you want to send
the file/files.

%package evolution
Summary: Send files from nautilus to evolution
Group: Graphical desktop/GNOME
Requires: evolution-data-server >= %evo_data_ver evolution
Requires: %name = %version
Provides: %name-plugin = %version-%release

%description evolution
This application provides integration between nautilus and evolution.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the email acount which you want to send the
file/files.

%package pidgin
Summary: Send files from nautilus to pidgin
Group: Graphical desktop/GNOME
Requires: pidgin
Requires: %name = %version
Provides: %name-plugin = %version-%release
Provides: nautilus-sendto-gaim
Obsoletes: nautilus-sendto-gaim

%description pidgin
This application provides integration between nautilus and pidgin.  It
adds a Nautilus context menu component ("Send To...") and features a
dialog for insert the IM account which you want to send the file/files.

%package gajim
Summary: Send files from nautilus to gajim
Group: Graphical desktop/GNOME
Requires: gajim
Requires: %name = %version
Provides: %name-plugin = %version-%release

%description gajim
This application provides integration between nautilus and gajim.  It
adds a Nautilus context menu component ("Send To...") and features a
dialog for insert the IM account which you want to send the file/files.

%package thunderbird
Summary: Send files from nautilus to thunderbird
Group: Graphical desktop/GNOME
Requires: thunderbird
Requires: %name = %version
Provides: %name-plugin = %version-%release

%description thunderbird
This application provides integration between nautilus and thunderbird.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the email acount which you want to send the
file/files.

%package sylpheed
Summary: Send files from nautilus to sylpheed or claws-mail
Group: Graphical desktop/GNOME
Requires: %name = %version
Provides: %name-plugin = %version-%release
Provides: %name-claws-mail = %version-%release

%description sylpheed
This application provides integration between nautilus and sylpheed.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the email acount which you want to send the
file/files.

%package balsa
Summary: Send files from nautilus to thunderbird
Group: Graphical desktop/GNOME
Requires: balsa
Requires: %name = %version
Provides: %name-plugin = %version-%release

%description balsa
This application provides integration between nautilus and balsa.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the email acount which you want to send the
file/files.

%package bluetooth
Summary: Send files from nautilus to bluetooth
Group: Graphical desktop/GNOME
Requires: %name = %version
Provides: %name-plugin = %version-%release
Requires: bluez-utils bluez-gnome

%description bluetooth
This application provides integration between nautilus and bluetooth.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the bluetooth device which you want to send the
file/files.

%prep
%setup -q
%patch1 -p1

%build
%configure --disable-schemas-install --disable-static

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install install DESTDIR=%buildroot
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %name

%post
%gconf2_install nst

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall nst
fi

%files -f %name.lang
%doc NEWS AUTHORS COPYING ChangeLog
%config %gconf_schemasdir/nst.schemas
%_bindir/*
%nautilus_extdir/libnautilus-sendto.so
%_man1dir/*
%dir %_libdir/%name/
%dir %_libdir/%name/plugins
%_datadir/%name
%exclude %nautilus_extdir/*.la
%exclude %_libdir/%name/plugins/*.la

%files pidgin
%_libdir/pidgin/nautilus.so
%_libdir/%name/plugins/libnstpidgin.so
%exclude %_libdir/pidgin/*.la

%files gajim
%_libdir/%name/plugins/libnstgajim.so

%files sylpheed
%_libdir/%name/plugins/libnstsylpheed.so

%files evolution
%_libdir/%name/plugins/libnstevolution.so

%files thunderbird
%_libdir/%name/plugins/libnstthunderbird.so

%files balsa
%_libdir/%name/plugins/libnstbalsa.so

%files bluetooth
%_libdir/%name/plugins/libnstbluetooth.so


%changelog
* Wed Aug 27 2008 Yuri N. Sedunov <aris@altlinux.org> 1.0.1-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Thu Aug 21 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Tue Jul 08 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.0-alt3
- change requires for bluetooth from gnome-bluetooth to bluez-gnome

* Tue Jun 24 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.0-alt2
- fix requires for thunderbird plugin
- remove requires for sylpheed plugin
- add provides %name-claws-mail for sylpheed plugin
- build balsa plugin
- fix sending files with balsa (patch1, thx Nick Butorin)

* Fri Jun 20 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.0-alt1
- 1.0.0
- revoke from orphaned
- rewrite spec, based on mandriva (thx Andrey Novoselov)

* Sat Sep 03 2005 Vital Khilko <vk@altlinux.ru> 0.4-alt1
- 0.4
- added bluetooth subpackage

* Mon Jan 31 2005 Vital Khilko <vk@altlinux.ru> 0.3-alt1
- initial build for ALT Linux Sisyphus
- added belarusian translation
